Skip to main content
POST
/
api
/
runtime-security
/
scan
/
output
Scan Output
curl --request POST \
  --url https://api.example.com/api/runtime-security/scan/output \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "response": "<string>",
  "prompt": "<string>",
  "source_app": "<string>",
  "provider": "<string>",
  "model": "<string>",
  "metadata": {}
}
'
{
  "uuid": "<string>",
  "verdict": "<string>",
  "injection": {},
  "pii": {},
  "redacted_text": "<string>",
  "latency_ms": 123,
  "text_length": 123,
  "blocked_reason": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
response
string
required

The LLM response about to be shown to the user.

prompt
string | null

The prompt that produced the response.

source_app
string | null
Maximum string length: 128
provider
string | null
Maximum string length: 32
model
string | null
Maximum string length: 128
metadata
Metadata · object

Response

Successful Response

uuid
string
required
verdict
string
required
injection
Injection · object
required
pii
Pii · object
required
redacted_text
string
required
latency_ms
integer
required
text_length
integer
required
blocked_reason
string | null